# Pizza Delivery

{% hint style="warning" %}
**Make sure to add the necessary items, item images and job names required for the job**
{% endhint %}

***

* <mark style="background-color:yellow;">**\["name"]:**</mark> It is the label that will appear in menus or notifications.
* The <mark style="background-color:yellow;">**\[‘menu’]**</mark> variable consists of things related to the location from which the job is to be retrieved
  * <mark style="background-color:orange;">\["job\_menu"]:</mark> <mark style="color:yellow;">@vector3</mark> Accepts. The menu access location of the job.
  * <mark style="background-color:orange;">\["interaction\_distance"]:</mark> <mark style="color:yellow;">@float</mark> Accepts. The player distance controlled to access the menu.
* <mark style="background-color:yellow;">**\["CameraOffsets"]:**</mark> They are variables of the camera that occur when delivering pizza.
* <mark style="background-color:yellow;">**\["delivery\_reward"]:**</mark> It gives a fee between **$10** and **$20**. You can keep it fixed.

***

## 🕙Timer / Delivery Time

There is only one set timer for deliveries. You can understand it by reading the following variables.

* <mark style="background-color:orange;">\["delivery\_time"]:</mark> <mark style="color:yellow;">@number</mark> Time to be entered for delivery. ***Minutes \* 60 \* 1000.***
* <mark style="background-color:orange;">\["extra\_time"]:</mark> <mark style="color:yellow;">@number</mark> Extra time to be added after the specified delivery time has expired. ***Minutes \* 60 \* 1000***
* <mark style="background-color:orange;">\["deducted\_per\_min"]:</mark> <mark style="color:yellow;">@number</mark> If extra time is activated, a fee will be deducted from the reward for each ‘One’ minute spent.

***

## 🚗Delivery Car / Car Settings

Contains the details of the delivery vehicle. You can enter spawn location and vehicle type.

* <mark style="background-color:orange;">\["model"]:</mark> <mark style="color:yellow;">@string</mark> You can enter the vehicle model here. Be careful to enter a valid vehicle.
* <mark style="background-color:orange;">\["spawnCoords"]:</mark> <mark style="color:yellow;">@vector4</mark> Accepts. It is the position where the vehicle will emerge. The direction your character is facing is the direction the front of your vehicle will face.

***

## 🪜Prop / Attach / Animations

Some changes for the pizza prop that emerges from the courier vehicle are as follows.

* <mark style="background-color:orange;">\["model"]:</mark> <mark style="color:yellow;">@string</mark> It is the model of the pizza prop. You can examine the models from [**PlebMaster**](https://forge.plebmasters.de)
* <mark style="background-color:orange;">**\["attach\_settings"]:**</mark> The settings for attaching the pizza model to the user.
  * <mark style="background-color:red;">\["bone"]:</mark> <mark style="color:yellow;">@number</mark> Select the appropriate one of the bonnets that the characters have. You can see the bones and their names in [**AltV - Ped Bones**](https://docs.altv.mp/gta/articles/ped/bones.html)
  * <mark style="background-color:red;">\["coords"]:</mark> <mark style="color:yellow;">@vector3</mark> It is the offset to be added to the 0.0 position of the character.
  * <mark style="background-color:red;">\["rotation"]:</mark> <mark style="color:yellow;">@vector3</mark> The location, direction and heading settings of the pizza model when attaching it to the character.
* <mark style="background-color:orange;">\["delivery\_animation"]:</mark> Animation that the character will enter during delivery
  * <mark style="background-color:orange;">\["animName"]:</mark> <mark style="color:yellow;">@string</mark> Animation name.
  * <mark style="background-color:orange;">\["animDict"]:</mark> <mark style="color:yellow;">@string</mark> Animation directory name.
  * <mark style="background-color:orange;">\["duration"]:</mark> <mark style="color:yellow;">@number</mark> You can write here how many seconds the animation will last. In ms. Default 3000 => 3 Seconds
  * <mark style="background-color:orange;">\["loop"]:</mark> <mark style="color:yellow;">@boolean</mark> If True is set, the animation will be done infinitely.

***

## 📍Add Pizzerias / Delivery Coords

Follow the guidance below to enter pizza delivery restaurants and pizza delivery locations.

### 📍Add Pizzeria

* <mark style="background-color:orange;">\["pizzerias"] ⇒ \["coords"]</mark> Enter a location @vector3 here.
* <mark style="background-color:orange;">\[index] = vec3(0.0, 0.0, 0.0):</mark>
  * <mark style="background-color:yellow;">\[index]</mark>: You should add +1 to the total number of pizzerias locations found

***

### 📍Add Delivery Location

* <mark style="background-color:orange;">\["delivery\_coords"] ⇒ \["coords"]:</mark> Enter a location @vector3 here.
* <mark style="background-color:orange;">\[index] = vec3(0.0, 0.0, 0.0):</mark>
  * <mark style="background-color:yellow;">\[index]</mark>: You should add +1 to the total number of pizzerias locations found


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/wais-resoucres/wais-jobpack/job-settings/pizza-delivery.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
